ytdown issues

Here is a place for your projects which are not officially supported by the Porteus Team. For example: your own kernel patched with extra features; desktops not included in the standard ISO like Gnome; base modules that are different than the standard ISO, etc...
Post Reply
User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

ytdown issues

Post#1 by Rava » 24 Jan 2020, 08:14

Out of curiosity, I tried getting ytdown from https://sourceforge.net/projects/ytdown/ to run under 5.0rc1 x86-64 Porteus.

Unfortunately, it speaks in a language I am not fluent with, but I still understand most of its error messages.

It obviously needs zenity. This is what it tells me starting it without zenity:

Code: Select all

 ytdown.sh 
/usr/local/bin/ytdown.sh: line 2: zenity: command not found

|-_-| OOOPS! É necessário que instale a extenssão 'zenity'.
>> Tentanto instalar o 'zenity' automáticamente...
Obs: Você também pode instalar manualmente, caso tenha problemas.


We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

Password: 

#####################################################
|-_-| OOOPS! Tivemos uma falha ao tentar instalar o 'zenity',
tente instalar o zenity manualmente.
#####################################################

> Falha! Deseja sair?:^C
And when Installing zenity via zenity-3.28.0-x86_64-1ponce converted to a module, I get a loop of errors continuing infinitum:

Code: Select all

(zenity:10271): GLib-GObject-WARNING **: 09:11:36.214: invalid (NULL) pointer instance

(zenity:10271): GLib-GObject-CRITICAL **: 09:11:36.214: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.214: gtk_window_set_title: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.214: gtk_window_set_icon_name: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.214: gtk_dialog_add_button: assertion 'GTK_IS_DIALOG (dialog)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.214: gtk_dialog_add_button: assertion 'GTK_IS_DIALOG (dialog)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.214: gtk_widget_grab_focus: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.215: gtk_window_set_default_size: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.215: gtk_widget_set_size_request: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.215: gtk_label_set_markup: assertion 'GTK_IS_LABEL (label)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.215: gtk_widget_get_settings: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10271): GLib-GObject-CRITICAL **: 09:11:36.215: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.215: gtk_widget_realize: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10271): Gtk-CRITICAL **: 09:11:36.215: gtk_widget_get_window: assertion 'GTK_IS_WIDGET (widget)' failed
**
ERROR:util.c:400:zenity_util_show_dialog: assertion failed: (gtk_widget_get_window (dialog))
/usr/local/bin/ytdown.sh: line 80: 10271 Aborted                 zenity --question --text="Deseja executar novamente o YTDOWN?" --width=300 --height=100 --title="YTDOWN"
3.28.0
ffmpeg: /usr/lib64/libOpenCL.so.1: no version information available (required by ffmpeg)
ffmpeg: /usr/lib64/libOpenCL.so.1: no version information available (required by /usr/lib64/libavfilter.so.6)
ffmpeg: /usr/lib64/libOpenCL.so.1: no version information available (required by /usr/lib64/libavutil.so.55)
ffmpeg version 3.4.6 Copyright (c) 2000-2019 the FFmpeg developers
built with gcc 8.3.0 (GCC)
configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --docdir=/usr/doc/ffmpeg-3.4.6/html --mandir=/usr/man --disable-debug --enable-shared --disable-static --enable-gpl --enable-version3 --enable-avresample --arch=x86_64 --disable-encoder=aac --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-gnutls --enable-libbluray --enable-libcaca --enable-libcdio --enable-libopus --enable-libspeex --enable-libssh --enable-libtheora --enable-libv4l2 --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libmp3lame --enable-opencl --enable-opengl --enable-libopenjpeg --enable-libpulse --enable-libsmbclient --enable-libwavpack
libavutil      55. 78.100 / 55. 78.100
libavcodec     57.107.100 / 57.107.100
libavformat    57. 83.100 / 57. 83.100
libavdevice    57. 10.100 / 57. 10.100
libavfilter     6.107.100 /  6.107.100
libavresample   3.  7.  0 /  3.  7.  0
libswscale      4.  8.100 /  4.  8.100
libswresample   2.  9.100 /  2.  9.100
libpostproc    54.  7.100 / 54.  7.100
[OK]

(zenity:10275): GLib-GObject-WARNING **: 09:11:36.544: invalid (NULL) pointer instance

(zenity:10275): GLib-GObject-CRITICAL **: 09:11:36.544: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.544: gtk_window_set_title: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.544: gtk_label_set_markup: assertion 'GTK_IS_LABEL (label)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.546: gtk_window_set_default_size: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10275): GLib-GObject-WARNING **: 09:11:36.546: invalid (NULL) pointer instance

(zenity:10275): GLib-GObject-CRITICAL **: 09:11:36.546: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.546: gtk_tree_view_set_model: assertion 'GTK_IS_TREE_VIEW (tree_view)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.546: gtk_tree_view_get_selection: assertion 'GTK_IS_TREE_VIEW (tree_view)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.546: gtk_tree_selection_set_mode: assertion 'GTK_IS_TREE_SELECTION (selection)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_tree_view_append_column: assertion 'GTK_IS_TREE_VIEW (tree_view)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_tree_view_get_model: assertion 'GTK_IS_TREE_VIEW (tree_view)' failed

(zenity:10275): GLib-GObject-CRITICAL **: 09:11:36.604: g_object_set_data: assertion 'G_IS_OBJECT (object)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_append: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_set_valist: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_append: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_set_valist: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_append: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_set_valist: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_append: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_set_valist: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.604: gtk_list_store_append: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.605: gtk_list_store_set_valist: assertion 'GTK_IS_LIST_STORE (list_store)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.605: gtk_widget_realize: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10275): Gtk-CRITICAL **: 09:11:36.605: gtk_widget_get_window: assertion 'GTK_IS_WIDGET (widget)' failed
**
ERROR:util.c:400:zenity_util_show_dialog: assertion failed: (gtk_widget_get_window (dialog))

##################################
###### Operação cancelada! #######
##################################

Encontrou um bug?
Por favor reporte isso na aba do projeto: https://sourceforge.net/p/ytdown/discussion/

(zenity:10277): GLib-GObject-WARNING **: 09:11:36.676: invalid (NULL) pointer instance

(zenity:10277): GLib-GObject-CRITICAL **: 09:11:36.676: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.676: gtk_window_set_title: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.676: gtk_window_set_icon_name: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.676: gtk_dialog_add_button: assertion 'GTK_IS_DIALOG (dialog)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.676: gtk_dialog_add_button: assertion 'GTK_IS_DIALOG (dialog)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.676: gtk_widget_grab_focus: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.676: gtk_window_set_default_size: assertion 'GTK_IS_WINDOW (window)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.677: gtk_widget_set_size_request: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.677: gtk_label_set_markup: assertion 'GTK_IS_LABEL (label)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.677: gtk_widget_get_settings: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10277): GLib-GObject-CRITICAL **: 09:11:36.677: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.677: gtk_widget_realize: assertion 'GTK_IS_WIDGET (widget)' failed

(zenity:10277): Gtk-CRITICAL **: 09:11:36.677: gtk_widget_get_window: assertion 'GTK_IS_WIDGET (widget)' failed
**
ERROR:util.c:400:zenity_util_show_dialog: assertion failed: (gtk_widget_get_window (dialog))
/usr/local/bin/ytdown.sh: line 80: 10277 Aborted                 zenity --question --text="Deseja executar novamente o YTDOWN?" --width=300 --height=100 --title="YTDOWN"
3.28.0
ffmpeg: /usr/lib64/libOpenCL.so.1: no version information available (required by ffmpeg)
ffmpeg: /usr/lib64/libOpenCL.so.1: no version information available (required by /usr/lib64/libavfilter.so.6)
ffmpeg: /usr/lib64/libOpenCL.so.1: no version information available (required by /usr/lib64/libavutil.so.55)
^C
Has anyone of you tried running ytdown and got it working okay?

Anyhow, I kind of really dislike the approach ytdown takes anyway. Why is a download tool insisting it needs to be run as root?
Cheers!
Yours Rava

jssouza
DEV Team
DEV Team
Posts: 1165
Joined: 09 Jul 2015, 14:17
Distribution: Porteus x86 arm

ytdown issues

Post#2 by jssouza » 24 Jan 2020, 08:32

Rava,
to run under 5.0rc1 x86-64 Porteus.
Which DE? You being a mod are part of the development sections. So why dont you know which DEs are obviously not having zenity Rava? Have you tested all these DEs?

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2593
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

ytdown issues

Post#3 by ncmprhnsbl » 24 Jan 2020, 08:59

Rava wrote:
24 Jan 2020, 08:14
Why is a download tool insisting it needs to be run as root?
by the looks of it, it was attempting to install zenity itself .. and failing.
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

ytdown issues

Post#4 by Rava » 24 Jan 2020, 14:01

ncmprhnsbl wrote:
24 Jan 2020, 08:59
Which DE? You being a mod are part of the development sections.
I tried it with XFCE.

But activating a zenity module should be enough to have a software running that needs zenity, or not?
ncmprhnsbl wrote:
24 Jan 2020, 08:59
by the looks of it, it was attempting to install zenity itself .. and failing.
That is the first quoted code block.

In the 2nd quoted code I had the named zenity module activated, but still ytdown failed.

And its need to run as root has seemingly nothing to do with zemity, it seems that is the way ytdown is coded.

Ytdown mainly consists of these files:

Code: Select all

$ file youtube-dl ytdown.sh 
youtube-dl: Zip archive data
ytdown.sh:  UTF-8 Unicode text
but it also complains when "YTDOWN.desktop" is not found in /usr/local/bin/ytdown/YTDOWN.desktop - it looks like a standard .desktop file:

Code: Select all

[Desktop Entry]
Comment=Ytdown all download midia
Exec=/usr/local/bin/ytdown/ytdown.sh
Icon=/usr/local/bin/ytdown/i.ico
Name[pt_BR]=YTDOWN
Name=YTDOWN
Terminal=false
Type=Application
but the location in /usr/local/bin/ytdown/ is weird.
Cheers!
Yours Rava

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

ytdown issues

Post#5 by Rava » 24 Jan 2020, 14:10

Update
The errors by ytdown might be because / being full, so any attempt to create files in /home/guest or in /tmp will also fail.

I try again later when I cleared more space in /, maybe ytdown then works as it should.
Cheers!
Yours Rava

Post Reply